Skip to main content
GET
/
v2
/
persons
/
{personId}
/
fields
/
{fieldId}
Get a single field on a Person
curl --request GET \
  --url https://api.affinity.co/v2/persons/{personId}/fields/{fieldId} \
  --header 'Authorization: Bearer <token>'
{ "id": "field-1", "name": "Field with company value", "type": "global", "enrichmentSource": null, "value": { "type": "company", "data": { "id": 1, "name": "Horizon Technologies", "domain": "horizontech.com" } } }

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

personId
integer<int64>
required

Person ID

Required range: 1 <= x <= 9007199254740991
fieldId
string
required

Field ID

Examples:

"affinity-data-location"

"field-1234"

Response

OK

id
string
required

The field's unique identifier

Example:

"affinity-data-location"

name
string
required

The field's name

Example:

"Location"

type
enum<string>
required

The field's type

Available options:
enriched,
global,
list,
relationship-intelligence
Example:

"enriched"

enrichmentSource
enum<string> | null
required

The source of the data in this Field (if it is enriched)

Available options:
affinity-data,
dealroom,
eventbrite,
mailchimp,
null
Example:

"affinity-data"

value
CompaniesValue · object
required
Example:
{
  "type": "company-multi",
  "data": [
    {
      "id": 1,
      "name": "Horizon Technologies",
      "domain": "horizontech.com"
    },
    {
      "id": 2,
      "name": "Crestwood Capital",
      "domain": "crestwoodcap.com"
    }
  ]
}